#version 420

uniform sampler2DArray testTex;
uniform float layer;

in vec2 fragTexCoord;
out vec4 result;

void main( void ) 
{
    vec4 texColor = texture( testTex, vec3(fragTexCoord, layer) );
    
    if ( dot(texColor.xyz,texColor.xyz) <= 0.0 )
		discard;
    
    result = texColor;
}